Subject: Re: [PATCH] 2.6.25-rc4 de_stop_rxtx polling wrong

From: Grant Grundler <[email-masked]>
Date: Fri, 28 Mar 2008 20:47:03 -0600

On Fri, Mar 28, 2008 at 06:02:47PM -0400, Jeff Garzik wrote:
...
>>> Please include comments like "Jeff," and "Patch was originally[...]" 
>>> after the "---" separator, so that the automated tools may omit these 
>>> comments without human intervention.
>> Which separator is that? I didn't explicitly add one unless you are
>> referring to the patch itself.
>
> See #14 of Documentation/SubmittingPatches.

Wow...this document got a rewrite since the last time I read it.
Thanks for pointing it out. I'll follow that on future patches.

> Basically, anything after "---" in the email body (except for the patch 
> content itself) is intentionally ignored -- and thus is used for comments 
> like "Jeff, quit sitting on your ass and apply this damned patch" that are 
> relevant but do not belong in the permanent kernel history.

*nod*

...
> git-am, Linus's tool that many of us git'ers use for importing patches from 
> email.

Ok - will read the man page for that too.

cheers,
grant